#line 1
#ifndef SRGB_DEFINED
#define SRGB_DEFINED

#if HAS_SRGB

vec3 to_srgb(vec3 lin)
{
	return mix(
			1.055 * pow(lin,vec3(0.41666)) - 0.055,
			12.92 * lin,
			vec3(lessThanEqual(lin,vec3(0.0031308))));
}    

vec3 to_linear(vec3 srgb)
{
	return mix(
			pow(srgb * (1.0/1.055f) + (0.055f/1.055),vec3(2.4)),
			srgb * (1.0 / 12.92), 			
			vec3(lessThanEqual(srgb,vec3(0.04045))));
}

float to_srgb(float lin)
{
	return mix(
			1.055 * pow(lin,0.41666) - 0.055,
			12.92 * lin,
			lin <= 0.0031308 ? 1.0 : 0.0);
}    

float to_linear(float srgb)
{
	return mix(
			pow(srgb * (1.0/1.055f) + (0.055f/1.055),2.4),
			srgb * (1.0 / 12.92), 			
			srgb <= 0.04045 ? 1.0 : 0.0);
}


#else

vec3 to_linear(vec3 srgb)
{
	return pow(srgb,vec3(2.2));
}

vec3 to_srgb(vec3 lin)
{
	return pow(lin,vec3(0.454545));
}

float to_linear(float srgb)
{
	return pow(srgb,2.2);
}

float to_srgb(float lin)
{
	return pow(lin,0.454545);
}


#endif

#endif /* SRGB_DEFINED */
